SDL_TryWaitSemaphore(3)

NAME
SDL_TryWaitSemaphore - See if a semaphore has a positive value and decrement it if it does.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

bool SDL_TryWaitSemaphore(SDL_Semaphore *sem);

DESCRIPTION
This function checks to see if the semaphore pointed to by sem has a positive value and atomically decrements the semaphore value if it does. If the semaphore doesn't have a positive value, the function immediately returns false.

FUNCTION PARAMETERS

sem the semaphore to wait on.

RETURN VALUE
Returns true if the wait succeeds, false if the wait would block.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SignalSemaphore(3), SDL_WaitSemaphore(3), SDL_WaitSemaphoreTimeout(3)